Debian Bug report logs - #484351
rails: breaks with ruby 1.8.7

version graph

Package: rails; Maintainer for rails is Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>; Source for rails is src:rails.

Reported by: Antonio Terceiro <terceiro@softwarelivre.org>

Date: Tue, 3 Jun 2008 20:15:01 UTC

Severity: grave

Found in version rails/2.0.2-2

Fixed in version rails/2.1.0-1

Done: Adam Majer <adamm@zombino.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Adam Majer <adamm@zombino.com>:
Bug#484351; Package rails. Full text and rfc822 format available.

Acknowledgement sent to Antonio Terceiro <terceiro@softwarelivre.org>:
New Bug report received and forwarded. Copy sent to Adam Majer <adamm@zombino.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@softwarelivre.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: rails: breaks with ruby 1.8.7
Date: Tue, 3 Jun 2008 17:06:52 -0300
[Message part 1 (text/plain, inline)]
Package: rails
Version: 2.0.2-2
Severity: grave
Tags: patch
Justification: renders package unusable

Since I upgraded to ruby 1.8.7 from sid, my rails applications started
to break. The problem is that the core extension in activesupport in
2.0.x are not compatible with ruby 1.8.7.

To reproduce you can run the activesupport unit tests with ruby 1.8.7
installed. 

I backported change f67b070facef6574df3c4386e3975242273fe456 from
upstream's git repo ("edge rails") to 2.0.2, and AFAICT everything works
now (e.g.  activesupport unit tests all pass, and my applications work
again). Follows the patch attached.

Cheers,


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.25-2-686 (SMP w/1 CPU core)
Locale: LANG=pt_BR.utf8, LC_CTYPE=pt_BR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages rails depends on:
ii  dpkg             1.14.19                 package maintenance system for Deb
ii  liberb-ruby      4.2                     transitional dummy package
ii  libpgsql-ruby1.8 0.7.9.2008.03.18-1      PostgreSQL interface for Ruby 1.8
ii  libredcloth-ruby 3.0.99.0.svn.20060519-1 Textile module for Ruby 1.8
ii  libruby [liberb- 4.2                     Libraries necessary to run Ruby 1.
ii  libruby1.8-extra 0.4                     a bundle of additional libraries f
ii  libsqlite3-ruby1 1.2.1-1                 SQLite3 interface for Ruby 1.8
ii  rake             0.8.1-3                 a ruby build program
ii  rdoc             4.2                     Generate documentation from ruby s
ii  ruby             4.2                     An interpreter of object-oriented 
ii  ruby1.8          1.8.7-1                 Interpreter of object-oriented scr
ii  rubygems         1.1.1-1                 package management framework for R

Versions of packages rails recommends:
ii  irb                           4.2        Interactive Ruby (irb)
ii  libmocha-ruby1.8              0.5.6-1    Mocking and stubbing library for R

-- no debconf information

-- 
Antonio Terceiro <terceiro@softwarelivre.org>
http://people.softwarelivre.org/~terceiro/
GnuPG ID: 0F9CB28F


[rails-compat-ruby1.8.7.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Adam Majer <adamm@zombino.com>:
Bug#484351; Package rails. Full text and rfc822 format available.

Acknowledgement sent to Antonio Terceiro <terceiro@softwarelivre.org>:
Extra info received and forwarded to list. Copy sent to Adam Majer <adamm@zombino.com>. Full text and rfc822 format available.

Message #10 received at 484351@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@softwarelivre.org>
To: 484351@bugs.debian.org
Subject: there is more stuff breaking with ruby 1.8.7
Date: Wed, 4 Jun 2008 18:07:04 -0300
tags - patch
thanks

Hi,

I just found that there are more issues between rails and ruby 1.8.7, so
it's not that simple as the patch I sent before. For the record, looking
in upstream's git repository it seems that several things were done to
add compatibility with ruby 1.8.7:

---------------------8<--------------------8<-----------------------
commit 7391f7728d96c2ec0113de57f3316c191043ad2c
Author: Jeremy Kemper <jeremy@bitsweat.net>
Date:   Sat May 31 15:31:04 2008 -0700

    Ruby 1.8.7 compat: work around broken DelegateClass#respond_to?

commit 4e4bcb4c6b08ed392cd5576dcfc252ef574a1b88
Author: Jeremy Kemper <jeremy@bitsweat.net>
Date:   Sat May 31 14:54:17 2008 -0700

    Ruby 1.8.7 compat: TimeWithZone# and Chars#respond_to? pass along the include_private argument

commit 1d18651ea36e2ba274b6c2e0fd4edd425e028589
Author: Jeremy Kemper <jeremy@bitsweat.net>
Date:   Sun Apr 20 19:26:46 2008 -0700

    Ruby 1.8.7 compat: detect and alias non-superclass DateTime#to_s

commit 0b21ac5118c293b43e5370d7a3da980514f089a2
Author: Jeremy Kemper <jeremy@bitsweat.net>
Date:   Sun Apr 20 19:16:48 2008 -0700

    Ruby 1.8.7 compat: override unordered Enumerable#group_by

commit 549c81db4a9ca941ea65ae2edafb0f34784f12f2
Author: Jeremy Kemper <jeremy@bitsweat.net>
Date:   Sun Apr 20 17:52:21 2008 -0700

    Ruby 1.8.7 compat: String#start_with? and #end_with?

commit f67b070facef6574df3c4386e3975242273fe456
Author: Jeremy Kemper <jeremy@bitsweat.net>
Date:   Sat Apr 19 17:16:19 2008 -0700

    Override incompatible 1.8.7p1 String#chars

commit db11ef9546b1ad16cf539395b75450c1c8e9714c
Author: Jeremy Kemper <jeremy@bitsweat.net>
Date:   Fri Apr 18 14:50:10 2008 -0700

    Override Ruby 1.8.7's incompatible Symbol#to_proc.
---------------------8<--------------------8<-----------------------

-- 
Antonio Terceiro <terceiro@softwarelivre.org>
http://people.softwarelivre.org/~terceiro/
GnuPG ID: 0F9CB28F






Tags removed: patch Request was from Antonio Terceiro <terceiro@softwarelivre.org> to control@bugs.debian.org. (Wed, 04 Jun 2008 22:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Adam Majer <adamm@zombino.com>:
Bug#484351; Package rails. Full text and rfc822 format available.

Acknowledgement sent to Antonio Terceiro <terceiro@softwarelivre.org>:
Extra info received and forwarded to list. Copy sent to Adam Majer <adamm@zombino.com>. Full text and rfc822 format available.

Message #17 received at 484351@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@softwarelivre.org>
To: 484351@bugs.debian.org
Subject: 2.0.2-ruby1.8.7-compat rails branch
Date: Wed, 4 Jun 2008 21:26:01 -0300
Hi,

I'm maintaining a branch with rails 2.0.2 + known 1.8.7-compatibility
changes cherry-picked from upstream rails on alioth:

http://git.debian.org/?p=users/terceiro-guest/rails.git;a=summary

See the 2.0.2-ruby1.8.7-compat branch. AFAICT it works, and my
current rails project is working with this branch.

Just realized that uploading rails 2.1 would solve the problem, are
there any plans doing that for lenny?

-- 
Antonio Terceiro <terceiro@softwarelivre.org>
http://people.softwarelivre.org/~terceiro/
GnuPG ID: 0F9CB28F






Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#484351; Package rails. Full text and rfc822 format available.

Acknowledgement sent to Adam Majer <adamm@zombino.com>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #22 received at 484351@bugs.debian.org (full text, mbox):

From: Adam Majer <adamm@zombino.com>
To: Antonio Terceiro <terceiro@softwarelivre.org>, 484351@bugs.debian.org
Subject: Re: Bug#484351: 2.0.2-ruby1.8.7-compat rails branch
Date: Wed, 04 Jun 2008 23:17:09 -0500
Antonio Terceiro wrote:
> Hi,
> 
> I'm maintaining a branch with rails 2.0.2 + known 1.8.7-compatibility
> changes cherry-picked from upstream rails on alioth:
> 
> http://git.debian.org/?p=users/terceiro-guest/rails.git;a=summary
> 
> See the 2.0.2-ruby1.8.7-compat branch. AFAICT it works, and my
> current rails project is working with this branch.
> 
> Just realized that uploading rails 2.1 would solve the problem, are
> there any plans doing that for lenny?

Yes, I'll upload 2.0.2 for lenny. I also think that the requests to
split the package are correct so that will have to happen as well. And
finally, I'm glad upstream migrated from SVN to GIT :)

- Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Adam Majer <adamm@zombino.com>:
Bug#484351; Package rails. Full text and rfc822 format available.

Acknowledgement sent to Antonio Terceiro <terceiro@softwarelivre.org>:
Extra info received and forwarded to list. Copy sent to Adam Majer <adamm@zombino.com>. Full text and rfc822 format available.

Message #27 received at 484351@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@softwarelivre.org>
To: Adam Majer <adamm@zombino.com>
Cc: 484351@bugs.debian.org
Subject: Re: Bug#484351: 2.0.2-ruby1.8.7-compat rails branch
Date: Thu, 5 Jun 2008 10:42:33 -0300
Adam Majer escreveu isso aí:
> > Just realized that uploading rails 2.1 would solve the problem, are
> > there any plans doing that for lenny?
> 
> Yes, I'll upload 2.0.2 for lenny. I also think that the requests to
> split the package are correct so that will have to happen as well. And
> finally, I'm glad upstream migrated from SVN to GIT :)

You mean 2.1, right? :)

Thanks,

-- 
Antonio Terceiro <terceiro@softwarelivre.org>
http://people.softwarelivre.org/~terceiro/
GnuPG ID: 0F9CB28F






Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#484351; Package rails. Full text and rfc822 format available.

Acknowledgement sent to Adam Majer <adamm@zombino.com>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #32 received at 484351@bugs.debian.org (full text, mbox):

From: Adam Majer <adamm@zombino.com>
To: Antonio Terceiro <terceiro@softwarelivre.org>, 484351@bugs.debian.org
Subject: Re: Bug#484351: 2.0.2-ruby1.8.7-compat rails branch
Date: Thu, 05 Jun 2008 11:21:05 -0500
Antonio Terceiro wrote:
> Adam Majer escreveu isso aí:
>>> Just realized that uploading rails 2.1 would solve the problem, are
>>> there any plans doing that for lenny?
>> Yes, I'll upload 2.0.2 for lenny. I also think that the requests to
>> split the package are correct so that will have to happen as well. And
>> finally, I'm glad upstream migrated from SVN to GIT :)
> 
> You mean 2.1, right? :)

Yes :)

- Adam




Reply sent to Adam Majer <adamm@zombino.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Antonio Terceiro <terceiro@softwarelivre.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #37 received at 484351-close@bugs.debian.org (full text, mbox):

From: Adam Majer <adamm@zombino.com>
To: 484351-close@bugs.debian.org
Subject: Bug#484351: fixed in rails 2.1.0-1
Date: Sat, 05 Jul 2008 00:02:04 +0000
Source: rails
Source-Version: 2.1.0-1

We believe that the bug you reported is fixed in the latest version of
rails, which is due to be installed in the Debian FTP archive:

rails_2.1.0-1.diff.gz
  to pool/main/r/rails/rails_2.1.0-1.diff.gz
rails_2.1.0-1.dsc
  to pool/main/r/rails/rails_2.1.0-1.dsc
rails_2.1.0-1_all.deb
  to pool/main/r/rails/rails_2.1.0-1_all.deb
rails_2.1.0.orig.tar.gz
  to pool/main/r/rails/rails_2.1.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 484351@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Adam Majer <adamm@zombino.com> (supplier of updated rails package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 04 Jul 2008 18:00:20 -0500
Source: rails
Binary: rails
Architecture: source all
Version: 2.1.0-1
Distribution: unstable
Urgency: low
Maintainer: Adam Majer <adamm@zombino.com>
Changed-By: Adam Majer <adamm@zombino.com>
Description: 
 rails      - MVC ruby based framework geared for web application development
Closes: 475288 484351
Changes: 
 rails (2.1.0-1) unstable; urgency=low
 .
   * New upstream release
     + No longer breaks with ruby 1.8.7 (closes: #484351)
   * Use libjs-prototype prototype library instead of upstream
     bundled (closes: #475288)
   * Added Vcs-* and Homepage data to debian/control
   * doc-base section changed to 'Programming'
Checksums-Sha1: 
 7feaa6629ae7d8ceed99b88404d1429cbce61dc9 1132 rails_2.1.0-1.dsc
 d6b1d7f9307d7a86de6b36538aca4a4e5ea92195 1953333 rails_2.1.0.orig.tar.gz
 a9ce99fe306b0e620a156204182d0f8006336678 11335 rails_2.1.0-1.diff.gz
 5dba4740fa3472ab77b2c025063ab4886ecf1e39 2399112 rails_2.1.0-1_all.deb
Checksums-Sha256: 
 ec6a4b2c1bc808a9c156c3cd088ccf054620aea8521ff8ae6de3b54f9e3c0b22 1132 rails_2.1.0-1.dsc
 c573af0c416f7580cb8c37b4e7cbda8ac7bf17569f5e72a3fab3cf524f0659aa 1953333 rails_2.1.0.orig.tar.gz
 75d9f7813c008340f84380ee9553b04e48865e0942b6dc372d5fab25d36209cb 11335 rails_2.1.0-1.diff.gz
 779e94d2c25616b79579bae82007cf290b8c30ab5b4bb5b3297ac93e44381adb 2399112 rails_2.1.0-1_all.deb
Files: 
 a390cd3f1e70e964ef5f36408115051d 1132 web optional rails_2.1.0-1.dsc
 edcc03e7177e1557653fcb92c90db0d1 1953333 web optional rails_2.1.0.orig.tar.gz
 ec2184a5c481abba16d263ada7791f99 11335 web optional rails_2.1.0-1.diff.gz
 c8ddd3608fac59e59e2e308ee709e5a8 2399112 web optional rails_2.1.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIbrYW73/bNdaAYUURAqJlAJ4/TDuN1ZoHP6r5L2rpqI4sirbgDQCgnhan
QAFc5n9h4RAKBf0mmO4Qnu0=
=V2zG
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 03 Aug 2008 07:33:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:05:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.